Hallo!
Ich habe ein MAcro für CATIA erstellt, das mir von einem gewählten Punkt in der Zeichnung eine Führungslinie erstellt und noch eine Tabelle, die bestimmte Informationen enthält.
Weiß jemand, wie ich das jetzt schreiben kann, dass an die Stelle des TExts der Führungslinie die darunter liegende Tabelle erscheint bzw. wie ich die Linie mit der Tabelle verbinden kann, so dass die Tablle mit geht, wenn ich die Linie schwenke?
Hier ein Auszug aus dem MAcro:
Set Documents = CATIA.Documents
Set Document = CATIA.ActiveDocument
Set DrawingSheets = Document.Sheets
Set DrawingSheet = DrawingSheets.Item(„Sheet.1“)
Set DrawingViews = DrawingSheet.Views
Set DrawingView = DrawingViews.ActiveView
Set Factory2D = DrawingView.Factory2D
Set Selection = Document.Selection
Dim dArrayDrawingWindowLocation(1)
Status = CATIA.ActiveDocument.Indicate2D(„select…“, dArrayDrawingWindowLocation)
If (Status = „Cancel“) Then Exit Sub
Set Fact2D = DrawingView.Factory2D
dPosX = dArrayDrawingWindowLocation(0)
dPosY = dArrayDrawingWindowLocation(1)
Set dPoint = Fact2D.CreatePoint (dPosX, dPosY)
dPoint.Name = „Point_“ & iPoints
iPoints = iPoints + 1
Set dText = DrawingView.Texts.Add (vFirstSymbol, dPosX + 10, dPosY + 20)
Set dLeader = dText.Leaders.Add (dPosX, dPosY )
dLeader.HeadSymbol = 20
dText.SetFontName 0, 0, vFont2D
iFontSize = 3.5
dText.SetFontSize 0, 0, iFontSize
dLeader.Name = „Leader_“ & iPoints
CATIA.ActiveWindow.ActiveViewer.Reframe
drawingDocument1.Activate
Set drawingView1 = drawingDocument1.Sheets.ActiveSheet.Views.Item („Vorderansicht“)
Set table1 = drawingView1.Tables.Add(50, 50, 4, 2, 10, 50)
table1.SetCellString 1, 1, „Punkt“
table1.SetCellString 2, 1, „X“
table1.SetCellString 3, 1, „Y“
table1.SetCellString 4, 1, „Z“
table1.SetCellString 1, 2, refpoint1.Name
table1.SetCellString 2, 2, FormatNumber(Round(CStr(koords1(0)),1),1)
table1.SetCellString 3, 2, FormatNumber(Round(CStr(koords1(1)),1),1)
table1.SetCellString 4, 2, FormatNumber(Round(CStr(koords1(2)),1),1)
Vielen Dank.